MLAPI API Reference

# BinarySerializer Class

[This is preliminary documentation and is subject to change.]

Helper class for serializing classes to binary
Inheritance Hierarchy
System
Object
MLAPI.NetworkingManagerComponents.Binary
BinarySerializer

Namespace: MLAPI.NetworkingManagerComponents.Binary
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public static class BinarySerializer

Request Example
View Source

The BinarySerializer type exposes the following members.

Methods

| Name | Description
--- | --- | ---
| ClearCache | Clears the cache of the serializer
| Deserialize T | Deserializes binary and turns it back into the original class
| Serialize T | Serializes a class instance to binary

Top
See Also

#### Reference

MLAPI.NetworkingManagerComponents.Binary Namespace